<?php


/**
 * This class adds structure of 'katao_member_adhesion' table to 'propel' DatabaseMap object.
 *
 *
 *
 * These statically-built map classes are used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    lib.model.map
 */
class KataoMemberAdhesionMapBuilder {

	/**
	 * The (dot-path) name of this class
	 */
	const CLASS_NAME = 'lib.model.map.KataoMemberAdhesionMapBuilder';

	/**
	 * The database map.
	 */
	private $dbMap;

	/**
	 * Tells us if this DatabaseMapBuilder is built so that we
	 * don't have to re-build it every time.
	 *
	 * @return     boolean true if this DatabaseMapBuilder is built, false otherwise.
	 */
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	/**
	 * Gets the databasemap this map builder built.
	 *
	 * @return     the databasemap
	 */
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	/**
	 * The doBuild() method builds the DatabaseMap
	 *
	 * @return     void
	 * @throws     PropelException
	 */
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('katao_member_adhesion');
		$tMap->setPhpName('KataoMemberAdhesion');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addForeignKey('KATAO_USER_ID', 'KataoUserId', 'int', CreoleTypes::INTEGER, 'katao_user', 'ID', true, null);

		$tMap->addColumn('YEAR', 'Year', 'int', CreoleTypes::DATE, true, null);

		$tMap->addColumn('AMOUNT', 'Amount', 'double', CreoleTypes::FLOAT, true, null);

		$tMap->addColumn('TYPE', 'Type', 'int', CreoleTypes::INTEGER, false, 2);

		$tMap->addColumn('PAYMENT_KIND', 'PaymentKind', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('CHECK_NO', 'CheckNo', 'string', CreoleTypes::VARCHAR, false, 255);

	} // doBuild()

} // KataoMemberAdhesionMapBuilder
